Subject: The Guidelines for Using MacHanzi, from Xing Li

From: Weihe Guan <[email-masked]>
Date: Thu, 13 Jun 1991 21:33:23 EDT

Date: Thu, 13 Jun 91 17:05:54 EDT
From: [email-masked] (Xing Li)

                 The Guidelines for Using MacHanzi
                 =================================

Basic:

* MacHanzi runs on any Macintosh (MacPlus and above).

* The Chinese Macintosh Operation System is NOT required.

* Put the font libraries in the same folder with the MacHanzi application,
  retain the font names (cclib.16 for the GB format and chinese.16 for the
  BIG5 format). If you were able to download MacHanzi from the anonymous
  ftp site and successfully uncompress the MacHanzi package, everything
  should be in the correct place.

* On opening MacHanzi, a standard Mac file list should appear, choose the
  Chinese Article you want to read. If strange characters appear on the screen,
  go to the Ziku menu [Guess, what Ziku stands for (-:], and choose the correct
  format. GB is the correct choice for the readers of "Hua Xia Wen Zhia",
  while BIG5 is the correct choice for the readers of "Chinese Articles
  from HKU".

* When you finish reading the current page, go to the Page menu and select
  Next, control-F is its short cut. This can also be done by clicking the
  mouse button.

* You can use the Page menu to choose the display size and the display format
  [horizontal - the modern way or vertical - the traditional way].

* There remains some bugs for updating the window, if the window becomes empty,
  you can  go to the Page menu and select First (control-0).  The first page
  of the current article will show on the screen.

* If you want to print the article, go to the File menu.  You can use the
  Page Setup and Print items.

* When the current article is finished, you can go to the File menu,
  Close the article and Open another one, or select Quit to go to the Finder.

Advanced:

* The Edit menu is currently disabled.  I think most of the users who use
  Chinese in the United States just want to be able to view and print Chinese
  articles.  If someone wants to type in and edit Chinese, he/she should
  switch to the Mac Chinese System. Apple has pretty good international
  systems.

* The Ziku menu is designed as follows: If only cclib.16 is found in the
  current folder, GB is enabled and BIG5 is disabled.  If only chinese.16 is
  found in the current folder, BIG5 is enabled and GB is disabled.  If both are
  present in the current folder, GB is the default choice, however, you can
  switch to the BIG5 format. Therefore, if you want to use GB and BIG5 at the
  same time, duplicate MacHanzi application (only 10 K), put it into another
  folder and move one of the font libraries into that folder. Then you can
  use multifinder to launch two MacHanzi applications. This can serve as
  a good previewer, if you are using HanziConverter 1.5.

* One of the features of MacHanzi is that it is not 'What You See Is What
  You Get'.  I hate to do this, but I think the current display technology
  is not satisfactory for Chinese text. I always feel that the
  Chinese characters printed on paper are too big, even if they are the
  same size as that displayed on the computer screen. Hence, when
  you want to print, choose 75% or 50%, the page will be reformatted and
  fill the whole page.

The MacHanzi is now available from two anonymous ftp sites.

ahkcus.org   [192.55.187.25] at /src/Mac
-rw-r--r--  1 yaom     source     672042 Jun 13 03:35 MacHanzi.hqx
-rw-r--r--  1 yaom     source       1356 Jun 13 03:34 MacHanzi.readme

crl.nmsu.edu [128.123.1.14]  at /pub/chinese
-rw-rw-r--  1 1145     other        1317 Jun 13 04:14 MacHanzi.README
-rw-rw-r--  1 1145     other      672042 Jun 13 04:15 MacHanzi.hqx

Please send comments about MacHanzi to:

Xing Li

xli\@king.mcs.drexel.edu
xing\@cbis.ece.drexel.edu